Public Member Functions | Public Attributes | List of all members
MWAWFontManagerInternal::State Struct Reference

the state of a MWAWFontManager More...

## Public Member Functions
| State (std::shared_ptr< MWAWFontConverter > const &fontConverter)
| constructor More...

## Public Attributes
std::shared_ptr< MWAWFontConverter > | m_fontConverter
| the font converter More...
FontToIdMap | m_fontToSpanIdMap
| a map font to id map (used to retrieve span id) More...
std::map< int, MWAWFont > | m_idToFontMap
| a map id to font map More...

## Detailed Description

the state of a MWAWFontManager

## Constructor & Destructor Documentation

## ◆ State()

MWAWFontManagerInternal::State::State | ( | std::shared_ptr< MWAWFontConverter > const & | fontConverter | ) |
| inline explicit

constructor

## Member Data Documentation

## ◆ m_fontConverter

std::shared_ptr<MWAWFontConverter> MWAWFontManagerInternal::State::m_fontConverter

the font converter

## ◆ m_fontToSpanIdMap

FontToIdMap MWAWFontManagerInternal::State::m_fontToSpanIdMap

a map font to id map (used to retrieve span id)

## ◆ m_idToFontMap

std::map<int, MWAWFont> MWAWFontManagerInternal::State::m_idToFontMap

a map id to font map

The documentation for this struct was generated from the following file:

- MWAWFont.cxx